---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: tgui::ButtonRenderer Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacetgui.html">tgui</a></li><li class="navelem"><a class="el" href="classtgui_1_1ButtonRenderer.html">ButtonRenderer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classtgui_1_1ButtonRenderer-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">tgui::ButtonRenderer Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for tgui::ButtonRenderer:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classtgui_1_1ButtonRenderer.png" usemap="#tgui::ButtonRenderer_map" alt=""/>
  <map id="tgui::ButtonRenderer_map" name="tgui::ButtonRenderer_map">
<area href="classtgui_1_1WidgetRenderer.html" title="Base class for all renderer classes. " alt="tgui::WidgetRenderer" shape="rect" coords="0,0,129,24"/>
<area href="classtgui_1_1WidgetBorders.html" title="Parent class for every widget that has borders. " alt="tgui::WidgetBorders" shape="rect" coords="139,0,268,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a46e22053423e5c619506740deaf0d427"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ButtonRenderer.html#a46e22053423e5c619506740deaf0d427">ButtonRenderer</a> (<a class="el" href="classtgui_1_1Button.html">Button</a> *button)</td></tr>
<tr class="memdesc:a46e22053423e5c619506740deaf0d427"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a46e22053423e5c619506740deaf0d427">More...</a><br /></td></tr>
<tr class="separator:a46e22053423e5c619506740deaf0d427"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aead05c7f26a6fe56dc445bb83edd655a"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ButtonRenderer.html#aead05c7f26a6fe56dc445bb83edd655a">setProperty</a> (std::string property, const std::string &amp;value) override</td></tr>
<tr class="memdesc:aead05c7f26a6fe56dc445bb83edd655a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change a property of the renderer.  <a href="#aead05c7f26a6fe56dc445bb83edd655a">More...</a><br /></td></tr>
<tr class="separator:aead05c7f26a6fe56dc445bb83edd655a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7505af4fb03800ff72dfe8de99c194bd"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ButtonRenderer.html#a7505af4fb03800ff72dfe8de99c194bd">setProperty</a> (std::string property, <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> &amp;&amp;value) override</td></tr>
<tr class="memdesc:a7505af4fb03800ff72dfe8de99c194bd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change a property of the renderer.  <a href="#a7505af4fb03800ff72dfe8de99c194bd">More...</a><br /></td></tr>
<tr class="separator:a7505af4fb03800ff72dfe8de99c194bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1eee0e5a5a5c230bebbbdef46ecac954"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ButtonRenderer.html#a1eee0e5a5a5c230bebbbdef46ecac954">getProperty</a> (std::string property) const  override</td></tr>
<tr class="memdesc:a1eee0e5a5a5c230bebbbdef46ecac954"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieve the value of a certain property.  <a href="#a1eee0e5a5a5c230bebbbdef46ecac954">More...</a><br /></td></tr>
<tr class="separator:a1eee0e5a5a5c230bebbbdef46ecac954"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d32fb1b0a8609d7b5689d6f20b5172f"><td class="memItemLeft" align="right" valign="top">virtual std::map&lt; std::string, <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ButtonRenderer.html#a4d32fb1b0a8609d7b5689d6f20b5172f">getPropertyValuePairs</a> () const  override</td></tr>
<tr class="memdesc:a4d32fb1b0a8609d7b5689d6f20b5172f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a map with all properties and their values.  <a href="#a4d32fb1b0a8609d7b5689d6f20b5172f">More...</a><br /></td></tr>
<tr class="separator:a4d32fb1b0a8609d7b5689d6f20b5172f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a549f5df040bf6c0912fb8dfd11f77e8d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ButtonRenderer.html#a549f5df040bf6c0912fb8dfd11f77e8d">setTextColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:a549f5df040bf6c0912fb8dfd11f77e8d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color of the text.  <a href="#a549f5df040bf6c0912fb8dfd11f77e8d">More...</a><br /></td></tr>
<tr class="separator:a549f5df040bf6c0912fb8dfd11f77e8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66e54a017ec8f554345593fafb748c58"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ButtonRenderer.html#a66e54a017ec8f554345593fafb748c58">setTextColorNormal</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:a66e54a017ec8f554345593fafb748c58"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color of the text in the normal state (mouse not on button).  <a href="#a66e54a017ec8f554345593fafb748c58">More...</a><br /></td></tr>
<tr class="separator:a66e54a017ec8f554345593fafb748c58"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0943488fb2860ecacdadb48d08d6f4cf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ButtonRenderer.html#a0943488fb2860ecacdadb48d08d6f4cf">setTextColorHover</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:a0943488fb2860ecacdadb48d08d6f4cf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color of the text in the hover state (mouse on button, but not pressed).  <a href="#a0943488fb2860ecacdadb48d08d6f4cf">More...</a><br /></td></tr>
<tr class="separator:a0943488fb2860ecacdadb48d08d6f4cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b6f8aaba840bc36e0ff39a8cef47420"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ButtonRenderer.html#a3b6f8aaba840bc36e0ff39a8cef47420">setTextColorDown</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:a3b6f8aaba840bc36e0ff39a8cef47420"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color of the text in the down state (mouse on button and left mouse button being held down).  <a href="#a3b6f8aaba840bc36e0ff39a8cef47420">More...</a><br /></td></tr>
<tr class="separator:a3b6f8aaba840bc36e0ff39a8cef47420"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f4c1924c9fedaaeefc8dffc47cd5d60"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ButtonRenderer.html#a9f4c1924c9fedaaeefc8dffc47cd5d60">setBackgroundColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:a9f4c1924c9fedaaeefc8dffc47cd5d60"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color of the background.  <a href="#a9f4c1924c9fedaaeefc8dffc47cd5d60">More...</a><br /></td></tr>
<tr class="separator:a9f4c1924c9fedaaeefc8dffc47cd5d60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92fb2b0a1174ee2532aa1fa09c8e47c1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ButtonRenderer.html#a92fb2b0a1174ee2532aa1fa09c8e47c1">setBackgroundColorNormal</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:a92fb2b0a1174ee2532aa1fa09c8e47c1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color of the background in the normal state (mouse not on button).  <a href="#a92fb2b0a1174ee2532aa1fa09c8e47c1">More...</a><br /></td></tr>
<tr class="separator:a92fb2b0a1174ee2532aa1fa09c8e47c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adec02001227a18e9f704900643af6159"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ButtonRenderer.html#adec02001227a18e9f704900643af6159">setBackgroundColorHover</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:adec02001227a18e9f704900643af6159"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color of the background in the hover state (mouse on button, but not pressed).  <a href="#adec02001227a18e9f704900643af6159">More...</a><br /></td></tr>
<tr class="separator:adec02001227a18e9f704900643af6159"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa700be26b71a6e9b66322b4d0ca0852a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ButtonRenderer.html#aa700be26b71a6e9b66322b4d0ca0852a">setBackgroundColorDown</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:aa700be26b71a6e9b66322b4d0ca0852a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color of the background in the down state (mouse on button and left mouse button being held down).  <a href="#aa700be26b71a6e9b66322b4d0ca0852a">More...</a><br /></td></tr>
<tr class="separator:aa700be26b71a6e9b66322b4d0ca0852a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b85d3e5af71d7bc2092e294ca60920f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ButtonRenderer.html#a3b85d3e5af71d7bc2092e294ca60920f">setBorderColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:a3b85d3e5af71d7bc2092e294ca60920f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color of the borders.  <a href="#a3b85d3e5af71d7bc2092e294ca60920f">More...</a><br /></td></tr>
<tr class="separator:a3b85d3e5af71d7bc2092e294ca60920f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55a8a5b81c38eaea6b3e96487ac11c4e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ButtonRenderer.html#a55a8a5b81c38eaea6b3e96487ac11c4e">setNormalTexture</a> (const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;texture)</td></tr>
<tr class="memdesc:a55a8a5b81c38eaea6b3e96487ac11c4e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change the image that is displayed when the mouse is not on the button.  <a href="#a55a8a5b81c38eaea6b3e96487ac11c4e">More...</a><br /></td></tr>
<tr class="separator:a55a8a5b81c38eaea6b3e96487ac11c4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbf5d50283c1395b22e1c514a9b7fce9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ButtonRenderer.html#acbf5d50283c1395b22e1c514a9b7fce9">setHoverTexture</a> (const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;texture)</td></tr>
<tr class="memdesc:acbf5d50283c1395b22e1c514a9b7fce9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change the image that is displayed when the mouse is located on top of the button.  <a href="#acbf5d50283c1395b22e1c514a9b7fce9">More...</a><br /></td></tr>
<tr class="separator:acbf5d50283c1395b22e1c514a9b7fce9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a03495319b00acc81680efee3aed87b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ButtonRenderer.html#a8a03495319b00acc81680efee3aed87b">setDownTexture</a> (const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;texture)</td></tr>
<tr class="memdesc:a8a03495319b00acc81680efee3aed87b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change the image that is displayed when the mouse is held down on top of the button.  <a href="#a8a03495319b00acc81680efee3aed87b">More...</a><br /></td></tr>
<tr class="separator:a8a03495319b00acc81680efee3aed87b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3890038e3303ce98b3fd63dff6ee37f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ButtonRenderer.html#ac3890038e3303ce98b3fd63dff6ee37f">setFocusTexture</a> (const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;texture)</td></tr>
<tr class="memdesc:ac3890038e3303ce98b3fd63dff6ee37f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change the image that is drawn on top of the button image when the button is focused.  <a href="#ac3890038e3303ce98b3fd63dff6ee37f">More...</a><br /></td></tr>
<tr class="separator:ac3890038e3303ce98b3fd63dff6ee37f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtgui_1_1WidgetRenderer"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtgui_1_1WidgetRenderer')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtgui_1_1WidgetRenderer.html">tgui::WidgetRenderer</a></td></tr>
<tr class="memitem:aa9ffbba1a051a6eaf0e1d069d78377ca inherit pub_methods_classtgui_1_1WidgetRenderer"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa9ffbba1a051a6eaf0e1d069d78377ca"></a>
virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetRenderer.html#aa9ffbba1a051a6eaf0e1d069d78377ca">~WidgetRenderer</a> ()</td></tr>
<tr class="memdesc:aa9ffbba1a051a6eaf0e1d069d78377ca inherit pub_methods_classtgui_1_1WidgetRenderer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Virtual destructor. <br /></td></tr>
<tr class="separator:aa9ffbba1a051a6eaf0e1d069d78377ca inherit pub_methods_classtgui_1_1WidgetRenderer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtgui_1_1WidgetBorders"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtgui_1_1WidgetBorders')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtgui_1_1WidgetBorders.html">tgui::WidgetBorders</a></td></tr>
<tr class="memitem:a75128d6d549e479c4b455afc77a75f9e inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetBorders.html#a75128d6d549e479c4b455afc77a75f9e">setBorders</a> (const <a class="el" href="classtgui_1_1Borders.html">Borders</a> &amp;borders)</td></tr>
<tr class="memdesc:a75128d6d549e479c4b455afc77a75f9e inherit pub_methods_classtgui_1_1WidgetBorders"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the borders.  <a href="#a75128d6d549e479c4b455afc77a75f9e">More...</a><br /></td></tr>
<tr class="separator:a75128d6d549e479c4b455afc77a75f9e inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19f9c75a3091e3812a1ed997e4b33260 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetBorders.html#a19f9c75a3091e3812a1ed997e4b33260">setBorders</a> (float leftBorder, float topBorder, float rightBorder, float bottomBorder)</td></tr>
<tr class="memdesc:a19f9c75a3091e3812a1ed997e4b33260 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the borders.  <a href="#a19f9c75a3091e3812a1ed997e4b33260">More...</a><br /></td></tr>
<tr class="separator:a19f9c75a3091e3812a1ed997e4b33260 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1a3bd4fee10eb2dcab6bce06efcea45 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetBorders.html#ab1a3bd4fee10eb2dcab6bce06efcea45">setBorders</a> (float width, float height)</td></tr>
<tr class="memdesc:ab1a3bd4fee10eb2dcab6bce06efcea45 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the borders.  <a href="#ab1a3bd4fee10eb2dcab6bce06efcea45">More...</a><br /></td></tr>
<tr class="separator:ab1a3bd4fee10eb2dcab6bce06efcea45 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c42822ce84bce93ff85ef8c9e53bdac inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classtgui_1_1Borders.html">Borders</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetBorders.html#a6c42822ce84bce93ff85ef8c9e53bdac">getBorders</a> () const </td></tr>
<tr class="memdesc:a6c42822ce84bce93ff85ef8c9e53bdac inherit pub_methods_classtgui_1_1WidgetBorders"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the size of the borders as a <a class="el" href="classtgui_1_1Borders.html">tgui::Borders</a>.  <a href="#a6c42822ce84bce93ff85ef8c9e53bdac">More...</a><br /></td></tr>
<tr class="separator:a6c42822ce84bce93ff85ef8c9e53bdac inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a46e22053423e5c619506740deaf0d427"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">tgui::ButtonRenderer::ButtonRenderer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classtgui_1_1Button.html">Button</a> *&#160;</td>
          <td class="paramname"><em>button</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">button</td><td>The button that is connected to the renderer </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a1eee0e5a5a5c230bebbbdef46ecac954"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> tgui::ButtonRenderer::getProperty </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>property</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Retrieve the value of a certain property. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>The property that you would like to retrieve</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The value inside a <a class="el" href="classtgui_1_1ObjectConverter.html" title="Implicit converter for settable properties. ">ObjectConverter</a> object which you can extract with the correct get function or an <a class="el" href="classtgui_1_1ObjectConverter.html" title="Implicit converter for settable properties. ">ObjectConverter</a> object with type ObjectConverter::Type::None when the property did not exist. </dd></dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#ab3a4389b75c71849e16501209fba5eb9">tgui::WidgetRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="a4d32fb1b0a8609d7b5689d6f20b5172f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual std::map&lt;std::string, <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a>&gt; tgui::ButtonRenderer::getPropertyValuePairs </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get a map with all properties and their values. </p>
<dl class="section return"><dt>Returns</dt><dd>Property-value pairs of the renderer </dd></dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#a0274cb32222ad685366a0bef4e7d4341">tgui::WidgetRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="a9f4c1924c9fedaaeefc8dffc47cd5d60"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ButtonRenderer::setBackgroundColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color of the background. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New background color</td></tr>
  </table>
  </dd>
</dl>
<p>This color will overwrite the color for any state (normal, hover and down).</p>
<p>Note that this color is ignored when you set an image as background.</p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="classtgui_1_1ButtonRenderer.html#a92fb2b0a1174ee2532aa1fa09c8e47c1" title="Changes the color of the background in the normal state (mouse not on button). ">setBackgroundColorNormal</a> </dd>
<dd>
<a class="el" href="classtgui_1_1ButtonRenderer.html#adec02001227a18e9f704900643af6159" title="Changes the color of the background in the hover state (mouse on button, but not pressed). ">setBackgroundColorHover</a> </dd>
<dd>
<a class="el" href="classtgui_1_1ButtonRenderer.html#aa700be26b71a6e9b66322b4d0ca0852a" title="Changes the color of the background in the down state (mouse on button and left mouse button being he...">setBackgroundColorDown</a> </dd></dl>

</div>
</div>
<a class="anchor" id="aa700be26b71a6e9b66322b4d0ca0852a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ButtonRenderer::setBackgroundColorDown </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color of the background in the down state (mouse on button and left mouse button being held down). </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New background color</td></tr>
  </table>
  </dd>
</dl>
<p>Note that this color is ignored when you set an image as background. </p>

</div>
</div>
<a class="anchor" id="adec02001227a18e9f704900643af6159"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ButtonRenderer::setBackgroundColorHover </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color of the background in the hover state (mouse on button, but not pressed). </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New background color</td></tr>
  </table>
  </dd>
</dl>
<p>Note that this color is ignored when you set an image as background. </p>

</div>
</div>
<a class="anchor" id="a92fb2b0a1174ee2532aa1fa09c8e47c1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ButtonRenderer::setBackgroundColorNormal </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color of the background in the normal state (mouse not on button). </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New background color</td></tr>
  </table>
  </dd>
</dl>
<p>Note that this color is ignored when you set an image as background. </p>

</div>
</div>
<a class="anchor" id="a3b85d3e5af71d7bc2092e294ca60920f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ButtonRenderer::setBorderColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color of the borders. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New border color </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a8a03495319b00acc81680efee3aed87b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ButtonRenderer::setDownTexture </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td>
          <td class="paramname"><em>texture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Change the image that is displayed when the mouse is held down on top of the button. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td>The new down texture</td></tr>
  </table>
  </dd>
</dl>
<p>Pass an empty texture to unset the image. </p>

</div>
</div>
<a class="anchor" id="ac3890038e3303ce98b3fd63dff6ee37f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ButtonRenderer::setFocusTexture </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td>
          <td class="paramname"><em>texture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Change the image that is drawn on top of the button image when the button is focused. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td>The new focus texture</td></tr>
  </table>
  </dd>
</dl>
<p>Pass an empty texture to unset the image. </p>

</div>
</div>
<a class="anchor" id="acbf5d50283c1395b22e1c514a9b7fce9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ButtonRenderer::setHoverTexture </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td>
          <td class="paramname"><em>texture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Change the image that is displayed when the mouse is located on top of the button. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td>The new hover texture</td></tr>
  </table>
  </dd>
</dl>
<p>Pass an empty texture to unset the image. </p>

</div>
</div>
<a class="anchor" id="a55a8a5b81c38eaea6b3e96487ac11c4e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ButtonRenderer::setNormalTexture </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td>
          <td class="paramname"><em>texture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Change the image that is displayed when the mouse is not on the button. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td>The new normal texture</td></tr>
  </table>
  </dd>
</dl>
<p>When this image is set, the background color property will be ignored. Pass an empty texture to unset the image, in this case the background color property will be used again. </p>

</div>
</div>
<a class="anchor" id="aead05c7f26a6fe56dc445bb83edd655a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::ButtonRenderer::setProperty </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>property</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Change a property of the renderer. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>The property that you would like to change </td></tr>
    <tr><td class="paramname">value</td><td>The new serialized value that you like to assign to the property</td></tr>
  </table>
  </dd>
</dl>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname"><a class="el" href="classtgui_1_1Exception.html">Exception</a></td><td>when deserialization fails or when the widget does not have this property. </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#abf82fb602dd7bd1e2b212b6fc2da9d99">tgui::WidgetRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="a7505af4fb03800ff72dfe8de99c194bd"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::ButtonRenderer::setProperty </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>property</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> &amp;&amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Change a property of the renderer. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>The property that you would like to change </td></tr>
    <tr><td class="paramname">value</td><td>The new value that you like to assign to the property. The <a class="el" href="classtgui_1_1ObjectConverter.html" title="Implicit converter for settable properties. ">ObjectConverter</a> is implicitly constructed from the possible value types.</td></tr>
  </table>
  </dd>
</dl>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname"><a class="el" href="classtgui_1_1Exception.html">Exception</a></td><td>for unknown properties or when value was of a wrong type. </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#a0c7e95e9887a866e39da0038ea198970">tgui::WidgetRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="a549f5df040bf6c0912fb8dfd11f77e8d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ButtonRenderer::setTextColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color of the text. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New text color</td></tr>
  </table>
  </dd>
</dl>
<p>This color will overwrite the color for any state (normal, hover and down).</p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="classtgui_1_1ButtonRenderer.html#a66e54a017ec8f554345593fafb748c58" title="Changes the color of the text in the normal state (mouse not on button). ">setTextColorNormal</a> </dd>
<dd>
<a class="el" href="classtgui_1_1ButtonRenderer.html#a0943488fb2860ecacdadb48d08d6f4cf" title="Changes the color of the text in the hover state (mouse on button, but not pressed). ">setTextColorHover</a> </dd>
<dd>
<a class="el" href="classtgui_1_1ButtonRenderer.html#a3b6f8aaba840bc36e0ff39a8cef47420" title="Changes the color of the text in the down state (mouse on button and left mouse button being held dow...">setTextColorDown</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a3b6f8aaba840bc36e0ff39a8cef47420"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ButtonRenderer::setTextColorDown </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color of the text in the down state (mouse on button and left mouse button being held down). </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New text color </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a0943488fb2860ecacdadb48d08d6f4cf"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ButtonRenderer::setTextColorHover </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color of the text in the hover state (mouse on button, but not pressed). </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New text color </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a66e54a017ec8f554345593fafb748c58"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ButtonRenderer::setTextColorNormal </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color of the text in the normal state (mouse not on button). </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New text color </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/TGUI/Widgets/<a class="el" href="Button_8hpp_source.html">Button.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:42 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
